exec("config/server/ClubMods/CoordVars.cs");

package EnterMsgClubTst
{
	function GameConnect::autoAdminCheck(%client)
	{
		messageClient(%client,'',"\c2Coord Var Mod - Type /coordVarHelp");
			Parent::autoAdminCheck(%client);
	}
};

activatePackage(EnterMsgClubTst);

function serverCmdCoordVarHelp(%client)
{
	messageClient(%client,'',"\c2/savePos [varname] - Save a variable with your current position.");
	messageClient(%client,'',"\c2/gotoPos [varname] - Go to a currently set position.");
	messageClient(%client,'',"\c2/deletePos [varname] - Delete a position.");
}

function serverCmdSavePos(%client,%varname)
{
	if(!$ClubMods::CoordVars::varExists[%varname])
	{
		$ClubMods::CoordVars::varExists[%varname]=1;
		$ClubMods::CoordVars::varPos[%varname]=%client.player.Position;
		$ClubMods::CoordVars::varID[%varname]=%client.bl_id;
		export("$ClubMods::CoordVars::*","config/server/ClubMods/CoordVars.cs");
		messageAll("","New coordinate var created\c6: "@%varname@"");
	}
	else
	{
		if(%client.bl_id==$ClubMods::CoordVars::varID[%varname])
		{
			$ClubMods::CoordVars::varExists[%varname]=1;
			$ClubMods::CoordVars::varPos[%varname]=%client.player.Position;
			$ClubMods::CoordVars::varID[%varname]=%client.bl_id;
			export("$ClubMods::CoordVars::*","config/server/ClubMods/CoordVars.cs");
			messageAll("","Coordinate var edited\c6: "@%varname@"");
		}
		else
		{
			messageClient(%client,'',"You are not the owner of this coordinate var.");
		}
	}
}

function serverCmdGotoPos(%client,%varname)
{
	if(!$ClubMods::CoordVars::varExists[%varname])
	{
		messageClient(%client,'',"That coordinate var doesn't exist!");
	}
	else
	{
		%client.Player.Position=$ClubMods::CoordVars::varPos[%varname];
	}
}

function serverCmdDeletePos(%client,%varname)
{
	if(!$ClubMods::CoordVars::varExists[%varname])
	{
		messageClient(%client,'',"That coordinate var doesn't exist!");
	}
	else
	{
		if(%client.bl_id==$ClubMods::CoordVars::varID[%varname])
		{
			$ClubMods::CoordVars::varExists[%varname]=0;
			$ClubMods::CoordVars::varPos[%varname]="1 1 1";
			$ClubMods::CoordVars::varID[%varname]="0";
			messageAll("","Coordinate var removed\c6: "@%varname@"");
		}
		else
		{
			messageClient(%client,'',"You are not the owner of this coordinate var.");
		}
	}
}